/*
 *    Copyright 2010 The myBatis Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.guice.configuration;

import com.google.inject.TypeLiteral;
import com.google.inject.spi.TypeEncounter;
import com.google.inject.spi.TypeListener;

/**
 * 
 *
 * @version $Id: ConfigurationProviderTypeListener.java 2445 2010-09-15 08:15:13Z simone.tripodi $
 */
public final class ConfigurationProviderTypeListener implements TypeListener {

    /**
     * {@inheritDoc}
     */
    public <I> void hear(TypeLiteral<I> injectableType, TypeEncounter<I> encounter) {
        encounter.register(new ConfigurationProviderInjectionListener<I>());
    }

}
