/*
 *    Copyright 2010 The myBatis Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.guice.datasource.helper;

import com.google.inject.Injector;

/**
 * 
 *
 * @version $Id: TextAppender.java 2379 2010-08-22 14:54:02Z simone.tripodi $
 */
final class TextAppender implements Appender {

    private final String textFragment;

    public TextAppender(final String textFragment) {
        this.textFragment = textFragment;
    }

    public void append(StringBuilder buffer, Injector injector) {
        buffer.append(this.textFragment);
    }

    @Override
    public String toString() {
        return this.textFragment;
    }

}
